/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

import org.apache.commons.lang.StringUtils;

/**
 * Intercept all UAs Containing "MSIE" and are not mobile browsers
 *
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: MSIEHandler.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public class MSIEHandler extends Handler {

	public MSIEHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checck given UA contains "MSIE" and is not mobile browsers
	 */
	public boolean canHandle(String userAgent) {
        return !isMobileBrowser(userAgent) && userAgent.startsWith("Mozilla") && StringUtils.contains(userAgent,"MSIE");
    }

}
