/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Intercept all UAs starting with "NEC-" or "KGT"
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: NecHandler.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public class NecHandler extends Handler {

	public NecHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks UA starts with "NEC-" or "KGT"
	 */
	public boolean canHandle(String userAgent) {
		return (userAgent.startsWith("NEC") || userAgent.startsWith("KGT"));
	}

}
