/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers.matchers;

import java.util.SortedSet;

import net.sourceforge.wurfl.core.handlers.Handler;
import net.sourceforge.wurfl.core.utils.StringUtils;

/**
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 */
public class AndroidMatcher extends AbstractMatcher  {

	public AndroidMatcher(Handler handler) {
		super(handler);
	}
	
	protected String lookForMatchingUserAgent(SortedSet userAgentsSet,
			String userAgent) {
		int tolerance = StringUtils.indexOfOrLength(userAgent, " ", StringUtils.indexOfOrLength(userAgent, "Android"));
		return StringUtils.risMatch(userAgentsSet, userAgent, tolerance);
	}

}
