/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers.matchers;

import net.sourceforge.wurfl.core.Constants;
import net.sourceforge.wurfl.core.handlers.Handler;
import net.sourceforge.wurfl.core.handlers.classifiers.FilteredDevices;
import net.sourceforge.wurfl.core.request.WURFLRequest;

import org.apache.commons.lang.StringUtils;

/**
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: SafariMatcher.java 1117 2009-03-20 10:07:30Z filippo.deluca $
 */
public class SafariMatcher extends AbstractMatcher {

	
	public SafariMatcher(Handler handler) {
		super(handler);
	}


	protected String applyRecoveryMatch(WURFLRequest request,
			FilteredDevices filteredDevices) {
		
		String userAgent = request.getUserAgent();
		
		if(StringUtils.contains(userAgent, "Macintosh") || StringUtils.contains(userAgent, "Windows")){
			return Constants.GENERIC_WEB_BROWSER;
		}
		else {
			return Constants.GENERIC;
		}
		
	}

}
