/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Factory for {@link UserAgentNormalizer}.
 * 
 * <p>
 * The factories for UserAgentNormalizer must implement this interface.
 * </p>
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: UserAgentNormalizerFactory.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public interface UserAgentNormalizerFactory {

	/**
	 * Create the UserAgentNormalizer.
	 * 
	 * @return The builded UserAgentNormalizer.
	 */
	public UserAgentNormalizer create();
}
