/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer;

/**
 * User-Agent normalizer.
 * 
 * <p>
 * The normalization is responsible to improve chances to match right user-agent
 * by the API. The implementing Object reflect the rules described in <a href="http://www.wurflpro.com/static/contributors_help.htm#gettingmostoutofuseragentstrings"
 * >&quot;Getting the Most out of User-Agent Strings&quot; on wurflpro.com</a>.
 * </p>
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: UserAgentNormalizer.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public interface UserAgentNormalizer {

	/**
	 * Return normalized user-agent.
	 * 
	 * @param userAgent
	 *            String contains user-agent to normalize.
	 * @return String contains normalized user-agent.
	 */
	public String normalize(String userAgent);
}
