/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

public class MSIENormalizer implements UserAgentNormalizer {

	/**
	 * Return MSIE String with the Major and Minor Version Only.
	 * @param userAgent
	 * @return String
	 */
	public String normalize(String userAgent) {
		return msieWithVersion(userAgent);
	}

	private String msieWithVersion(String userAgent) {
		int index = userAgent.indexOf("MSIE");
		return userAgent.substring(index, index+8);
	}
	
}
