/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

public class OperaNormalizer implements UserAgentNormalizer {

	
	
	/**
	 * Return the Opera user agent with the major version		
	 *  
	 * e.g 
	 * 	Opera/9.00 (Windows NT 5.1; U; de) -> Opera/9
	 *  Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0) Opera 7.52 [en] -> Opera 7
	 * 		
	 * @param userAgent
	 * @return String
	 */
	public String normalize(String userAgent) {
		return operaWithMajorVersion(userAgent);
	}
	
	private String operaWithMajorVersion(String userAgent) {
		int index = userAgent.indexOf("Opera");
		return userAgent.substring(index, index+7);
	}



}
